Package org.zkoss.web.servlet.xel

## Class RequestXelResolver

- java.lang.Object
- - org.zkoss.web.servlet.xel.RequestXelResolver

- All Implemented Interfaces:
    `VariableResolver`

      public abstract class RequestXelResolver
      extends java.lang.Object
      implements VariableResolver

  A XEL variable resolver that is based on Servlet request, response, and EL.
  Since:
    3.0.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestXelResolver​(javax.servlet.ServletContext ctx, javax.servlet.ServletRequest request)` |
    `RequestXelResolver​(javax.servlet.ServletContext ctx, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` | Request-based resolver.
    `RequestXelResolver​(javax.servlet.ServletRequest request)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract ExpressionFactory` | `getExpressionFactory()` | Returns the expression factory (never null).
    `PageContext` | `getPageContext()` | Returns the page context.
    `javax.servlet.ServletRequest` | `getRequest()` | Returns the request.
    `javax.servlet.ServletResponse` | `getResponse()` | Returns the response.
    `javax.servlet.ServletContext` | `getServletContext()` | Returns the context.
    `java.lang.Object` | `resolveVariable​(java.lang.String name)` | Resolves the specified variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestXelResolver

          public RequestXelResolver​(javax.servlet.ServletContext ctx,
                                    javax.servlet.ServletRequest request,
                                    javax.servlet.ServletResponse response)

      Request-based resolver.
      Parameters:
        `ctx` - the context; which might be null
        `request` - the request. It cannot be null.
        `response` - the response, which might bell.
      Throws:
        `java.lang.IllegalArgumentException` - if request is null.

    - #### RequestXelResolver

          public RequestXelResolver​(javax.servlet.ServletContext ctx,
                                    javax.servlet.ServletRequest request)

    - #### RequestXelResolver

          public RequestXelResolver​(javax.servlet.ServletRequest request)

  - ### Method Detail

    - #### getExpressionFactory

          public abstract ExpressionFactory getExpressionFactory()

      Returns the expression factory (never null).

      The deriving class must override it.

    - #### getPageContext

          public PageContext getPageContext()

      Returns the page context.

    - #### getRequest

          public javax.servlet.ServletRequest getRequest()

      Returns the request.

    - #### getResponse

          public javax.servlet.ServletResponse getResponse()

      Returns the response.

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Returns the context.

    - #### resolveVariable

          public java.lang.Object resolveVariable​(java.lang.String name)
                                           throws XelException

      Description copied from interface: `VariableResolver`
      Resolves the specified variable.
      Specified by:
        `resolveVariable` in interface `VariableResolver`
      Parameters:
        `name` - the name of the variable to resolve
      Throws:
        `XelException`